Bug 82438 - Chips 65550 needs Option SwCursor on
Chips 65550 needs Option SwCursor on
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
phoebe
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: 79579 82785
  Show dependency treegraph
 
Reported: 2003-01-21 23:50 EST by Sam Varshavchik
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 22:40:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video Card PCI ID (447 bytes, text/plain)
2003-01-21 23:50 EST, Sam Varshavchik
no flags Details
Final XF86Config (3.08 KB, text/plain)
2003-01-21 23:52 EST, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2003-01-21 23:50:17 EST
Beta4 install on a laptop with Chips & Technologies video card.

Looks like this VGA card finally has the best possible setup and X 4.0 support.
 Numerous problems, going back to several release cycles, with X 4.0 support for
this video card have been solved, and Anaconda is correctly configuring X to
support the highest resolution supported by this video card (800x600x24).

The remaining problem with this card is noticable "snow" around the cursor.
Adding Option "SwCursor" "on" to XF86Config solves this last problem.  Anaconda
should add this option into XF86Config by default.
Comment 1 Sam Varshavchik 2003-01-21 23:50:48 EST
Created attachment 89506 [details]
Video Card PCI ID
Comment 2 Sam Varshavchik 2003-01-21 23:52:42 EST
Created attachment 89507 [details]
Final XF86Config

This is the XF86Config file generated by anaconda.  I only had to add

   Option "SwCursor" "on"

in order to get the perfect configuration.
Comment 3 Jeremy Katz 2003-01-22 00:51:51 EST
Mike -- this should either go into hwdata or the defaults for the driver
Comment 4 Mike A. Harris 2003-01-24 15:53:45 EST
Yes, these types of bugs should be reported against XFree86 please.
They'll be fixed in the driver itself instead.
Comment 5 Mike A. Harris 2003-01-24 15:55:40 EST
I don't really need it, but could you please attach "lspci -vvn" to the
report if you get a chance.  Just for completeness.  Can come in handy
when querying for stuff in bugzilla also.  No rush/worry though, I've
got all I need above.
Comment 7 Sam Varshavchik 2003-01-24 17:41:02 EST
lspci's output was already attached to this bug.

Comment 8 Mike A. Harris 2003-01-24 17:50:28 EST
Yes, but "lspci -vvn" isn't.  ;o)

Example output from: lspci -v
00:05.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC 215IIC
[Mach64 GT IIC] (rev 7a) (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Rage IIC
        Flags: bus master, stepping, medium devsel, latency 64
        Memory at c5000000 (32-bit, prefetchable) [size=16M]
        I/O ports at 2000 [size=256]
        Memory at c6bfe000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [5c] Power Management version 1


Example output from "lspci -vvn":

00:05.0 Class 0300: 1002:4756 (rev 7a)
        Subsystem: 1002:4756
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (2000ns min), cache line size 08
        Region 0: Memory at c5000000 (32-bit, prefetchable) [size=16M]
        Region 1: I/O ports at 2000 [size=256]
        Region 2: Memory at c6bfe000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [5c] Power Management version 1
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-


Contains much more information.  Again, not needed for this issue
specifically, but good to have for future debugging of various cards.
It comes in handy when scanning bugzilla for other issues.
Comment 9 Sam Varshavchik 2003-01-24 18:39:09 EST
All right, here it is...
00:00.0 Class 0600: 1045:c557 (rev 14)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 0

00:01.0 Class 0601: 1045:c558 (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR+
	Latency: 0

00:06.0 Class 0300: 102c:00e0 (rev c6)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping+
SERR+ FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Region 0: Memory at c0000000 (32-bit, non-prefetchable) [size=16M]
	Expansion ROM at <unassigned> [disabled] [size=256K]

00:07.0 Class 0607: 104c:ac12 (rev 04)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 168, cache line size 08
	Interrupt: pin A routed to IRQ 0
	Region 0: Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=01, subordinate=04, sec-latency=176
	Memory window 0: 10400000-107ff000 (prefetchable)
	Memory window 1: 10800000-10bff000
	I/O window 0: 00004000-000040ff
	I/O window 1: 00004400-000044ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001

00:07.1 Class 0607: 104c:ac12 (rev 04)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 168, cache line size 08
	Interrupt: pin B routed to IRQ 0
	Region 0: Memory at 10001000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=05, subordinate=08, sec-latency=176
	Memory window 0: 10c00000-10fff000 (prefetchable)
	Memory window 1: 11000000-113ff000
	I/O window 0: 00004800-000048ff
	I/O window 1: 00004c00-00004cff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt- PostWrite+
	16-bit legacy interface ports at 0001

00:14.0 Class 0101: 1045:c621 (rev 12) (prog-if 80 [Master])
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Region 4: I/O ports at 1000 [size=16]

Comment 10 Mike A. Harris 2003-02-04 22:51:17 EST
I've changed the driver to default to swcursor for this chip in
the 4.2.99.901-20030203.1 build.  You can use the "hwcursor" option
to force hardware cursor to be used still though.

Please test that swcursor is used by default now by removing cursor
related options from config file or commenting them out.  Check your X
log file and it should indicate swcursor being used by default now.

Please test this build and close this bug as RAWHIDE if it works now,
or change to ASSIGNED if not.
Comment 11 Sam Varshavchik 2003-02-06 22:40:50 EST
Confirmed as fixed in the current build.


Note You need to log in before you can comment on or make changes to this bug.